<?php
namespace Claromentis\Quiz\Model;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array();
use Claromentis\Core\Repository\RepositoryItem;








interface PropertyInterface extends RepositoryItem
{
    
    
    
    
    
    
    public function GetParentId();
    
    
    
    
    
    
    public function SetParentId($parent_id);
    
    
    
    
    
    
    public function GetKey();
    
    
    
    
    
    
    public function SetKey($key);
    
    
    
    
    
    
    public function HasValue();
    
    
    
    
    
    
    public function GetValue();
    
    
    
    
    
    
    public function SetValue($value);
}